/*
 * timer.h
 *
 *  Created on: May 31, 2017
 *      Author: wn
 */

#ifndef TIMER_H_
#define TIMER_H_

typedef enum {
  IDLE = 0,
  STARTED = 1,
  RUNNING = 2,
  OVERRUN = 3,
  MAX = 0xffffffff
} tTimerState;


void timerInit();
void secondTick(void *handle);
void startTimer();
void stopTimer();

#endif /* TIMER_H_ */
